SystemOutWriter Class Reference

Abstract class for writing to character streams. More...

Inheritance diagram for SystemOutWriter:

## Public Member Functions

| SystemOutWriter ()
| ~SystemOutWriter ()
virtual void | close (Pool &p)
virtual void | flush (Pool &p)
virtual void | write (const LogString &str, Pool &p)
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Static Public Member Functions

static void | write (const LogString &str)
static void | flush ()
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Additional Inherited Members

Protected Member Functions inherited from Writer
| Writer ()
virtual | ~Writer ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

Abstract class for writing to character streams.

## Constructor & Destructor Documentation

## SystemOutWriter()

SystemOutWriter | ( |  | ) |

## ~SystemOutWriter()

~SystemOutWriter | ( |  | ) |

## Member Function Documentation

## close()

virtual void close | ( | Pool & | p | ) |

virtual

Implements Writer.

## flush() [1/2]

virtual void flush | ( | Pool & | p | ) |

virtual

Implements Writer.

## flush() [2/2]

static void flush | ( |  | ) |

static

## write() [1/2]

virtual void write | ( | const LogString & | str,
|  | Pool & | p
| ) |  |

virtual

Implements Writer.

## write() [2/2]

static void write | ( | const LogString & | str | ) |

static

The documentation for this class was generated from the following file:

- systemoutwriter.h